//cookie工具类
var cookieTool = {
	//读取cookie
	getCookie: function(c_name) {
		if (document.cookie.length > 0) {
			c_start = document.cookie.indexOf(c_name + "=");
			if (c_start != -1) {
				c_start = c_start + c_name.length + 1;
				c_end = document.cookie.indexOf(";", c_start);
				if (c_end == -1) {
					c_end = document.cookie.length;
				}
				return unescape(document.cookie.substring(c_start, c_end));
			}
		}
		return "";
	},
	//设置cookie
	setCookie: function(c_name, value, expiredays) {
		var exdate = new Date();
		exdate.setDate(exdate.getDate() + expiredays); //设置日期
		document.cookie = c_name + "=" + escape(value) + ((expiredays == null) ? "" : ";expires=" + exdate.toGMTString());
	},
	//删除cookie
	delCookie: function(c_name) {
		var exdate = new Date();
		exdate.setDate(exdate.getDate() - 1); //昨天日期
		document.cookie = c_name + "=;expires=" + exdate.toGMTString();
	}
};

$(document).ready(function() {
	//菜单事件绑定
	$('.treemenu a').bind('click', function() {
		var $this = $(this);
		var id = $this.attr('id');
		var $submenu = $this.next('.submenu');
		if ($submenu.length > 0) { //是否有子菜单
			var flag = $(this).next('.submenu:hidden').length > 0 ? true : false;
			if (flag) {
				$submenu.show();
			} else {
				$submenu.hide();
			}
			var display = flag ? 'block' : 'none';
			cookieTool.setCookie(id, display, 10);
		} else {
			cookieTool.setCookie(id, id, 10);
			var curId = cookieTool.getCookie(id);
			$('.treemenu').find('.on').removeClass('on').addClass('off');
			$('#' + curId).addClass('on');
			$('.treemenu a[class="off"]').each(function() { 
				cookieTool.delCookie($(this).attr('id')); //删除其他已选择选项cookie
			});
		}
	});

	//页面加载读取cookies
	$('.treemenu a').each(function() {
		showMenu($(this).attr('id'));
	});
});

//读取cookie显示菜单
function showMenu(id) {
	var $this = $('#' + id);
	var cookie = cookieTool.getCookie(id);
	if (cookie) {
		if ($this.next('.submenu').length > 0) {
			$this.next('.submenu').css('display', cookie);
		} else {
			$('#' + cookie).addClass('on');
		}
	}
}